import QtQuick 1.1
import com.nokia.meego 1.0

Page {
	id: listPage
	orientationLock: PageOrientation.LockPortrait

	property string selectedItemTM: ""
	
	Component {
		id: boikotKatehoriyaDelegate

		Item {
			id: boikotKatehoriya
			width: parent.width - 20
			height: boikotKatehoriyaText.height

			Image {
				anchors {
					right: boikotKatehoriyaText.left
					rightMargin: 10
					left: parent.left
					verticalCenter: parent.verticalCenter
				}
				source: "image://theme/meegotouch-groupheader"
						  + (theme.inverted ? "-inverted" : "") + "-background"
			}

			Text {
				anchors {
					right: parent.right
				}
				id: boikotKatehoriyaText
				text: section
				color: "gray"
				font.pixelSize: 24
			}
		}
	}

	Component {
		id: boikotItemDelegate

		Item {
			id: boikotItem
			width: parent.width
			height: boikotItemLabel.height + 20
			clip: true

			property string shortText: "<b>" + tm + "</b><br>" + vlasnyk
			property string longText:
				"<b>" + tm + ": " + "</b>" + opys + "<br>"
				+ (vlasnyk == ""? "" : vlasnyk + ": ") + prychetnist
				+ (prioritet == "Основні"? "<br>Пріоритетний!" : "" )
				+ (alternatyva == ""? 
					"" :  ("<br><br>Альтернатива: " + alternatyva))

			BorderImage {
				id: highlight
				visible: tm == listPage.selectedItemTM

				anchors {
					fill: parent
				}

				source:
					"image://theme/meegotouch-list-background-pressed-center"
			}

			Label {
				id: boikotItemLabel
				width: parent.width

				anchors {
					verticalCenter: parent.verticalCenter
				}
				platformStyle: LabelStyle {
					fontPixelSize: 32
				}

				text: (tm == listPage.selectedItemTM)? longText : shortText
			}

			MouseArea {
				id: mouseArea
				anchors.fill: highlight
				onClicked: {
					if(highlight.visible)
						listPage.selectedItemTM = "";
					else
						listPage.selectedItemTM = tm;
				}
			}
			
			Behavior on height { 
				SmoothedAnimation {
					velocity: 300
				}
			}
		}
	}

	ListView {
		id: boikotListView
		anchors.fill: parent

		section.property: "katehoriya"
		section.criteria: ViewSection.FullString
		section.delegate: boikotKatehoriyaDelegate

		model: BoikotModel {}
		delegate: boikotItemDelegate
	}

	ScrollDecorator {
		flickableItem: boikotListView
	}
}
